tafs

API: weather.gov:national-weather-service-api
Endpoint: /stations/{stationId}/tafs
Response format: application/ld+json
Auth: unknown
Method: GET
Last Status: 200
Latency: 399ms

Description

Returns Terminal Aerodrome Forecasts for the specified airport station.

Parameters (1)

stationId (string, path, required)

Observation station ID

Examples (3)

Get TAF for JFK Airport curl
curl 'https://api.weather.gov/stations/KJFK/tafs' \
  -H 'User-Agent: robustapi-lore/1.0'
import requests

resp = requests.get(
    "https://api.weather.gov/stations/KJFK/tafs",
    headers={
        'User-Agent': 'robustapi-lore/1.0',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("weather")
result = api.fetch("stations/{stationId}/tafs")

for item in result:
    print(item)
const resp = await fetch("https://api.weather.gov/stations/KJFK/tafs", {
  headers: {
    "User-Agent": "robustapi-lore/1.0",
  },
});
const data = await resp.json();
Get TAF for Los Angeles International curl
curl 'https://api.weather.gov/stations/KLAX/tafs' \
  -H 'User-Agent: robustapi-lore/1.0'
import requests

resp = requests.get(
    "https://api.weather.gov/stations/KLAX/tafs",
    headers={
        'User-Agent': 'robustapi-lore/1.0',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("weather")
result = api.fetch("stations/{stationId}/tafs")

for item in result:
    print(item)
const resp = await fetch("https://api.weather.gov/stations/KLAX/tafs", {
  headers: {
    "User-Agent": "robustapi-lore/1.0",
  },
});
const data = await resp.json();
Get TAF for Chicago O'Hare curl
curl 'https://api.weather.gov/stations/KORD/tafs' \
  -H 'User-Agent: robustapi-lore/1.0'
import requests

resp = requests.get(
    "https://api.weather.gov/stations/KORD/tafs",
    headers={
        'User-Agent': 'robustapi-lore/1.0',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("weather")
result = api.fetch("stations/{stationId}/tafs")

for item in result:
    print(item)
const resp = await fetch("https://api.weather.gov/stations/KORD/tafs", {
  headers: {
    "User-Agent": "robustapi-lore/1.0",
  },
});
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-04 06:12:40.456152 200 399ms
2026-04-04 06:07:16.161250 200 231ms
2026-04-04 03:56:08.821030 200 218ms
2026-04-03 14:36:49.365788 200 803ms
2026-04-03 14:01:33.279444 200 3544ms
2026-04-03 13:15:59.468409 200 612ms
2026-03-30 07:27:30.990139 200 220ms
2026-03-30 02:46:12.622333 200 224ms
2026-03-30 02:35:54.207355 200 216ms
2026-03-29 15:35:09.315207 200 353ms
2026-03-29 13:17:10.151799 200 343ms
2026-03-29 12:48:30.462245 200 371ms
2026-03-23 10:20:21.757174 200 169ms
2026-03-23 09:41:04.756501 200 185ms
2026-03-23 03:55:52.527175 200 3342ms